fec.h File Reference
`#include <stdlib.h>`
`#include "char.h"`
`#include "rs-common.h"`
Include dependency graph for fec.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void * | init_rs_char (int symsize, int gfpoly, int fcr, int prim, int nroots, int pad)
int | decode_rs_char (void *p, data_t *data, int *eras_pos, int no_eras)
void | encode_rs_char (void *p, data_t *data, data_t *parity)
void | free_rs_char (void *p)

## Function Documentation

## decode_rs_char()

int decode_rs_char | ( | void * | p,
|  | data_t * | data,
|  | int * | eras_pos,
|  | int | no_eras )

## encode_rs_char()

void encode_rs_char | ( | void * | p,
|  | data_t * | data,
|  | data_t * | parity )

## free_rs_char()

void free_rs_char | ( | void * | p | ) |

## init_rs_char()

void * init_rs_char | ( | int | symsize,
|  | int | gfpoly,
|  | int | fcr,
|  | int | prim,
|  | int | nroots,
|  | int | pad )

References fcr, nroots, pad, and prim.